cURL
curl --request POST \ --url https://api.mesa.dev/v1/{org}/{repo}/bookmarks \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "change_id": "<string>" } '
{ "name": "<string>", "change_id": "<string>", "is_default": true }
Create a new bookmark from an existing change id
write
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Organization slug
1
Repository name
Change id to point the new bookmark at. This may be the virtual root change id (zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz).
^[zyxwvutsrqponmlk]{32}$
Bookmark created
Change id the bookmark points to. When a bookmark points at the empty tree this is the virtual root change id (zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz).